Bug 7660 - please, adjust libvorbis headers
: please, adjust libvorbis headers
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libvorbis-devel)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 7079
  Show dependency tree
 
Reported: 2005-08-12 17:40 by
Modified: 2006-12-06 15:21 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-12 17:40:58
С апгрейдом libvorbis-devel от 1.0update.1-alt3 до 1.1.1-alt1 их заголовки
переехали из /usr/include/vorbis/ в /usr/include/. Программам, использующим

#include <vorbisenc.h>

при старом расположении ещё можно указать -I /usr/include/vorbis при сборке, а
вот
там, где

#include <vorbis/vorbisenc.h>

при новом -- уже нет. Придётся парсить исходники. Предлагается вернуть
заголовки
назад, а для успевших съехать на новую схему сделать симлинки со старого места
на новое:

ln -s /usr/include/vorbis/codec.h /usr/include/
ln -s /usr/include/vorbis/vorbisenc.h /usr/include/
ln -s /usr/include/vorbis/vorbisfile.h /usr/include/

Для справки: в SuSE 9.3, Fedora Core 4, Connectiva 10, Mandrake 10, Debian 3.1
заголовки лежат в /usr/include/vorbis.
------- Comment #1 From 2005-08-12 21:23:12 -------
упс :)
------- Comment #2 From 2005-08-16 21:03:52 -------
This is build blocker.
------- Comment #3 From 2005-08-17 12:55:15 -------
грязный хак будущему майнтейнеру:

в секцию %install спека вставить:

%__mkdir_p %buildroot%_includedir/vorbis
cd %buildroot%_includedir/vorbis
find ../ -name "*.h" -exec ln -s '{}' \;
------- Comment #4 From 2005-08-17 14:16:15 -------
ln -s -- это слишком грязный хак.
------- Comment #5 From 2005-08-18 11:44:17 -------
(In reply to comment #4)
> ln -s -- это слишком грязный хак.

Предлагаете вместо этого скопировать?
------- Comment #6 From 2005-08-23 16:06:54 -------
Только что смотрел как libvorbis собран в Fedora core 4 -- так там  
действительно заголовки лежат /usr/include/vorbis/. Вот только libvorbis у них 
там 1.1.0! 

Так что предлагаю, заголовки оставить в /usr/include/. А в /usr/include/vorbis/ 
положить файлы вида: 
#ifndef _vorbis_codec_h_fake_ 
#define _vorbis_codec_h_fake_ 

#include <(codec.h|vorbisenc.h|vorbisfile.h)> 

#endif 

------- Comment #7 From 2005-08-23 16:11:26 -------
Seems to be fixed in libvorbis-1.1.1-alt2, thanks to Grigory Batalov.
------- Comment #8 From 2006-11-27 17:58:14 -------
Это неправильный был фикс. Правильный скоро будет.
------- Comment #9 From 2006-11-27 17:58:46 -------
ну и на нового маинтейнера
------- Comment #10 From 2006-12-06 15:21:10 -------
fixed